BTOWC(3)

NAME
btowc, wctob - convert between wide and single-byte characters

LIBRARY
libc

SYNOPSIS
#include <wchar.h>
wint_t
btowc(int c);
int
wctob(wint_t c);

DESCRIPTION
The btowc() function converts a single-byte character into a corresponding wide character. If the character is EOF or not valid in the initial shift state, btowc() returns WEOF.

The wctob() function converts a wide character into a corresponding single-byte character. If the wide character is WEOF or not able to be represented as a single byte in the initial shift state, wctob() returns WEOF.

SEE ALSO
mbrtowc(3), multibyte(3), wcrtomb(3)

STANDARDS
The btowc() and wctob() functions conform to p1003.1-2001.

HISTORY
The btowc() and wctob() functions first appeared in FreeBSD 5.0.